﻿@using OfficeOpenXml.FormulaParsing.Excel.Functions.Math
@model StarterProjectV2.ViewModels.EmailandSMSReportManagementView

@{
    ViewData["Title"] = "Email and SMS Report History";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>

    <style>
        div.pager {
            /*text-align: right;*/
            /*width: 60em;*/
            /*margin: 1em auto;*/
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Email and SMS Report Management
}
<body style="background-color: oldlace">
<div class="card">
    <div class="card-body" style="margin-bottom: 0">
        <h2 class="text-center mt-3" style="color: indianred">@ViewData["Title"]</h2>
        <form class="form-inline mb-3 ml-3">
            <input id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search" onkeyup="search()">
            <div class="input-group-append">
                <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
            </div>
        </form>
        <div class="table-responsive-lg" style="display:block" id="table">

            <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                <thead style="color: white; background-color:#315152">

                <tr>
                    <th scope="col">View</th>
                    <th scope="col">Edit</th>
                    <th scope="col">Delete</th>
                    <th scope="col">SlotId</th>
                    <th scope="col">Type</th>
                    <th scope="col">Email</th>
                    <th scope="col">Mobile</th>
                    <th scope="col">Name</th>
                    <th scope="col">Text</th>
                    <th scope="col">Time Of Delivery</th>
                    @*<th scope="col">EmailSMS Report Id</th>*@
                    <th scope="col">Category</th>   @* Group No =  NotificationSerialNo  *@
                    <th scope="col">Delivery Status</th>
                </tr>
                </thead>
                <tbody id="myTable">
                @{
                    var idx1 = 0;
                }
                @{
                    int noOfdata = Model.EmailandSMSReportList.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var emailndSMSReport in Model.EmailandSMSReportList)
                    {
                        <tr>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="View"
                                        onclick="location.href = '@Url.Action("EmailAndSMSReportView", "OwnersInfo", new { auditId = emailndSMSReport.EmailandSMSReportId })'">
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Click To View & Approve"
                                        @* onclick="location.href = '@Url.Action("PostView", "OwnersInfo", new {postId = post.PostId})'"*@>
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Click To View & Approve"
                                        @* onclick="location.href = '@Url.Action("PostView", "OwnersInfo", new {postId = post.PostId})'"*@>
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                            <td>@emailndSMSReport.SlotId</td>
                            <td>@emailndSMSReport.NotificationType</td>
                            <td>@emailndSMSReport.Email</td>
                            <td>@emailndSMSReport.Mobile</td>
                            <td>@emailndSMSReport.Name</td>
                            <td>@emailndSMSReport.Text</td>
                            <td>@emailndSMSReport.TimeOfDelivery.ToString("dd-MMM-yyyy hh:mm tt")</td>
                            @*<td>@emailndSMSReport.EmailandSMSReportId</td>*@
                            <td>@emailndSMSReport.NotificationSerialNo</td> @* Group No =  NotificationSerialNo  *@
                            <td>@emailndSMSReport.IsSMSSent</td>
                        </tr>
                        idx1++;
                    }
                }
                </tbody>
            </table>
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0">
                <thead style="color: white; background-color:#315152"></thead>
            </table>
        </div>
        <div class="text-center" id="message">

        </div>
        @{
            int noOfEmailSMSReport = Model.NoOfEmailSMSReport;
        }
        @if (noOfEmailSMSReport != 0)
        {
            <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

                <nav aria-label="Page navigation example">
                    <ul class="pagination justify-content-center flex-wrap">
                        @{
                            int prev_idx = Model.index - 1;
                        }
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfEmailSMSReport)">« Previous</a></li>
                        @{
                            int idx = Model.index;
                            int next_idx = Model.index + 1;
                            int noOfEmailSMSReports = Model.NoOfEmailSMSReport;
                            if (noOfEmailSMSReports < 10)
                            {
                                for (int i = 1; i <= noOfEmailSMSReports; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                if (idx <= 5)
                                {
                                    if (noOfEmailSMSReport < 10)
                                    {
                                        for (int i = 1; i <= noOfEmailSMSReport; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else
                                    {
                                        for (int i = 1; i <= 10; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                }
                                else if (idx > 5 && idx <= (noOfEmailSMSReports - 5))
                                {
                                    for (int i = idx - 4; i <= idx + 5; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = noOfEmailSMSReports - 9; i <= noOfEmailSMSReports; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }

                                }
                            }
                        }
                        <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfEmailSMSReport)">Next »</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfEmailSMSReport)">Last »</a></li>
                    </ul>
                </nav>

            </div>

        }

    </div>

    <div class="card-footer">
        <button type="button" class="btn btn-primary m-1" onclick="javascript:window.history.back();">
            <i class="fa fa-angle-left"></i> Back
        </button>
    </div>
</div>
</body>
<script>
    function viewfunction(audit_id) {
        //alert(acc_id);
        window.location.href = "/OwnersInfo/EmailAndSMSReportView?auditId=" + audit_id;
    }
</script>

<script>
    function search() {
        var s = $("#searchfield").val();
        //alert(s);
        var myModel = {
            searchfield: s,
        };
        if (s.length != 0) {
            $.ajax({
                context: this,
                type: 'post',
                url: '../OwnersInfo/gettingSearchResultForEmailSMS/',
                data: myModel,
                success: function(result) {
                    //alert(myModel.PartialUserDetailsViewModels);
                    @*var url = '@Html.Raw(Url.Action("OwnerManagement", "OwnersInfo", new OwnerList{}))';
                //window.location = '../Home/About';
                window.location.href = url;*@
                    //alert("OOOO");
//                    alert(result);
                    var len = result.length;
                    document.getElementById('table').style.display = 'none';
                    document.getElementById('pagination').style.display = 'none';
                    document.getElementById('js-table').style.display = 'block';
                    //alert("OOOO");
                    //var a = 1, b = 2;
                    addMultipleRow(len, result);
                },
                error: function() {
                    //error();
                }
            });
        } else {
            document.getElementById('table').style.display = 'block';
            document.getElementById('pagination').style.display = 'block';
            document.getElementById('js-table').style.display = 'none';
            $('#message').html("");
        }


    }

</script>
<script>
    $("#" + @Model.index).addClass("active");
</script>
<script>
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "EmailandSMSReportPagination?index=" + i;
        }
    }
</script>
<script>
    function next(i, n) {
        if (i <= n) {
            window.location.href = "EmailandSMSReportPagination?index=" + i;
        }
    }
</script>
<script>
    function paginationPureJS(i) {

        window.location.href = "EmailandSMSReportPagination?index=" + i;
    }
</script>


<script>
    $(document).ready(function() {
        var taskRoles = "@Model.TaskRoles";
        if (taskRoles[0] == '0') {
            $('table tr').find('td:eq(0),th:eq(0)').remove();
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(0),th:eq(0)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(0),th:eq(0)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            }
        } else {
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(1),th:eq(1)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(2),th:eq(2)').remove();
                }
            }
        }
        if (taskRoles[1] == '0') {
            $("#newItem").remove();
        }
    });
</script>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });
    $(document).ready(function () {
        //$("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });
        $('#reloadItem').click(function () {
            location.reload();
        });
        $("#dashboardItem").click(function () {
        });
        $("#reportItem").remove();
    });


</script>
<script>
    function addMultipleRow(x, result) {
        var taskRoles = "@Model.TaskRoles";
        var str = "";
        if (x >= 1) {
            $('#message').html("");
            str += "<thead style='color: white; background-color:#315152'>";
            str += "<tr>";
            if (taskRoles[0] == "1") str += "<th scope='col'>View</th>";
            //str += "<th scope='col'>Audit Id</th>";
            str += "<th scope='col'>SlotId</th>";
            str += "<th scope='col'>Type</th>";
            str += "<th scope='col'>Email</th>";
            str += "<th scope='col'>Mobile</th>";
            str += "<th scope='col'>Name</th>";
            str += "<th scope='col'>Text</th>";
            str += "<th scope='col'>Time Of Delivery</th>";
            str += "<th scope='col'>Category</th>";
            str += "<th scope='col'>Delivery Status</th>";
            str += "</tr>";
            str += "</thead>";
        } else {
            //str += "<h3 style='background:red'>No Result Found</h3>";
            $('#message').html("<br><h3 style='color:brown'>No Result Found</h3>");
        }
        for (var i = 0; i < x; i++) {
            str += "<tr>";

            if (taskRoles[0] == "1") {
                str += "<td>";
                str += "<button type='button'";
                str += "class='btn btn-light'";
                str += "data-toggle='tooltip'";
                str += "data-placement='bottom'";
                str += "title='View'"
                str += 'onclick="viewfunction(\'' + result[i].EmailandSMSReportId + '\')">';
                str += "<i class='icon-eye'></i>";
                str += "</button>";
                str += "</td>";
            }
            //str += "<td>" + result[i].AuditId + "</td>";
            str += "<td>" + result[i].SlotId + "</td>";
            str += "<td>" + result[i].NotificationType + "</td>";
            str += "<td>" + result[i].Email + "</td>";
            str += "<td>" + result[i].Mobile + "</td>";
            str += "<td>" + result[i].Name + "</td>";
            str += "<td>" + result[i].Text + "</td>";
            str += "<td>" + result[i].TimeOfDelivery + "</td>";
            str += "<td>" + result[i].NotificationSerialNo + "</td>";
            str += "<td>" + result[i].IsSMSSent + "</td>";
            str += "</tr>";
        }
        $('#dtBasicExample').html(str);
    }
</script>

